package cn.axzo.workflow.common.code;

import cn.axzo.framework.domain.web.code.IModuleRespCode;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum BpmnVariablesRespCode implements IModuleRespCode {
    PROCESS_VARIABLE_NOT_EXIST("001", "流程实例【{}】不存在名称为:【{}】的变量"),
    PROCESS_VARIABLE_EXIST("002", "变量【{}】已存在流程实例【{}】中"),
    PROCESS_VARIABLE_SCOPE_ERROR("003", "变量【{}】的作用域为【{}】不支持"),
    PROCESS_VARIABLE_NAME_MUST_BE_NOT_NULL("004", "变量的名称不能为空"),
    PROCESS_VARIABLE_VARS_NOT_NULL("005", "流程变量列表参数不能为空"),
    ;


    private final String code;
    private final String message;

    @Override
    public String getModuleCode() {
        return "12";
    }

    @Override
    public String getProjectCode() {
        return "998";
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMessage() {
        return message;
    }
}
